* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto Slab', serif;
    max-width: 100%;
}

html,
body {
    max-width: 100vw;
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    overflow-y: hidden;
}

body::-webkit-scrollbar {
    display: none;
}

/* Main */

#Main {
    padding-top: 100px;
    width: 100% !important;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 86vw 0.1fr auto 86vw 1.2fr 1.2fr 0.5fr;
    grid-template-areas:
        "Main_text1"
        "Main_img1"
        "."
        "Main_text2"
        "Main_img2"
        "Main_text3"
        "Main_text4";
    background-color: #B4BEC9;
    height: fit-content;

}

#Main div a {
    text-decoration: none;
    color: #014e4e;
}

.Main_link:hover {
    background-color: whitesmoke;
}

.Main_img {
    display: flex;
    width: 90vw;
    height: 86vw;
    height: fit-content !important;
}

.Main_title {
    font-size: 40px;
}

.Main_text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 100%;
    font-size: 22px;
}


.Main_link {
    padding: 5px 0 5px 20px;
    border-style: solid hidden solid hidden;
    border-width: 1px;
    border-color: black;
    margin-top: 30px;
}

#Main_img1 {
    grid-area: Main_img1;
    justify-self: center;
    align-self: center;
}

#Main_img2 {
    grid-area: Main_img2;
    justify-self: center;
    align-self: center;
}



.Main_text p {
    width: 80vw;
}

#Main_text1 {
    grid-area: Main_text1;
}

#Main_text2 {
    grid-area: Main_text2;
}

#Main_text3 {
    grid-area: Main_text3;
}

#Main_text4 {
    grid-area: Main_text4;
}



#footer {
    display: flex;
    background-color: rgb(20, 20, 20);
    height: 40vw;
}


#foot_links {
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2em;
    font-size: 3vw;
    border-style: hidden hidden solid hidden;
    border-color: white;
}

#foot_links p {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    height: 2em;
    width: 8em;
    border-radius: 5px;
    transition: 200ms;
}


#leftFoot{
    margin-left: 5vw;
}
#rightFoot {
    margin-right: 5vw;
}


/* Header */

header {
    transition: 0.5s;
    z-index: 10;
    width: 100vw;
    position: fixed;
    display: flex;
    flex-wrap: nowrap;
    flex-shrink: 0;

}

header>div {
    transition: 0.5s;
    height: 100px;
    text-align: center;
    line-height: 75px;
    font-size: 30px;
    border-style: hidden hidden solid hidden;
    border-color: black;
    color: black;
    background-color: #B4BEC9;
    border-width: 2px;
}

#head1 {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 60px;
    border-style: hidden solid solid hidden !important;
    width: max-content !important;
    padding: 3px 10px 3px 10px;

}

#head1_link {
    text-decoration: none;
    color: black;
    transition: 0.3;
}

#head2 {
    flex: 1;
}

#head3 {
    width: 100px;
}


/* Animated menu button */
.container {
    display: inline-block;
    cursor: pointer;
    padding: 10px 10px 10px 10px;

}

.bar1,
.bar2,
.bar3 {
    width: 60px;
    height: 10px;
    background-color: black;
    margin: 10px 0;
    transition: 0.3s;
    border-radius: 2px;
}

.change .bar1 {
    transform: translate(0, 16px) rotate(-45deg);
    margin: 6px 0;
    margin-top: 15px;
}

.change .bar2 {
    opacity: 0;
    margin: 6px 0;
}

.change .bar3 {
    transform: translate(0, -14px) rotate(45deg);
    margin: 6px 0;
}


/* Menu Overlay */

#full_menu {
    display: flexbox;
    flex-direction: column;
    flex-wrap: nowrap;
    height: 100vh;
    width: 0;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    background-color: #002333;
    overflow: hidden;
    transition: 0.5s;
}

#full_menu_content {
    position: relative;
    top: 100px;
    width: 100%;
}

#full_menu_content a {
    text-transform: uppercase;
    border-color: white;
    border-width: 2px;
    border-style: none none solid none;
    padding: 15px;
    text-decoration: none;
    font-size: 50px;
    color: white;
    display: block;
    transition: 0.3s;
}

#full_menu_content a:hover {
    background-color: #B4BEC9;
    font-style: italic;
    font-family: 'Playfair Display', serif;
    color: #002333;

}

@media only screen and (min-width: 600px) {

    body {
        background-color: white;
    }

    #head1 {
        width: 30%;
        font-size: 70px;
    }

    #full_menu_content a {
        padding: 30px;
    }

    #Main_img1 {
        width: 84vw;
        height: auto;
    }
}

@media only screen and (min-width: 900px) {

    #Main {
        padding-top: 100px;
        max-width: 100vw;
        height: auto;
        grid-template-columns: 50vw 50vw;
        grid-template-rows: 1fr 0.3fr 1fr 0.3fr 0.5fr;
        grid-template-areas:
            "Main_text1 Main_img1"
            "Main_text2 Main_text2"
            "Main_img2 Main_text3"
            "Main_text4 Main_text4";
    }

    .Main_img {
        height: auto;
        width: 48vw;
        align-self: baseline;
        justify-self: baseline;
    }

    #Main_text1 {
        width: 50vw;

    }

    .Main_text p {
        width: 45vw;
    }

    #Main_text2 p {
        width: 90vw;
    }

    #Main_text4 p {
        width: 90vw;
    }

    #Main_text2 {
        align-self: center;
        width: 95vw;
    }

    #Main_text3 {
        align-self: center;
        width: 95vw;
    }



    body {
        background-color: white;

    }


    #head1 {
        font-size: 80px;
    }
    #footer {
        height: 20vw;
    }
    #foot_links {
        font-size: 30px;
    }
}